### A free/open-source library for quantitative finance

Classes | Functions
ql/experimental/credit/defaultevent.hpp File Reference

Classes for default-event description. More...

`#include <ql/event.hpp>`
`#include <ql/currency.hpp>`
`#include <ql/math/comparison.hpp>`
`#include <ql/experimental/credit/defaulttype.hpp>`
`#include <ql/experimental/credit/defaultprobabilitykey.hpp>`
`#include <map>`
Include dependency graph for defaultevent.hpp:

## Classes

class | DefaultEvent
| Credit event on a bond of a certain seniority(ies)/currency. More...

## Functions

bool | operator== (const DefaultEvent &lhs, const DefaultEvent &rhs)
bool | operator!= (const DefaultEvent &lhs, const DefaultEvent &rhs)

## Detailed Description

Classes for default-event description.